<div class="marquee-1" module="text_marquee" data-ps="">
	<ul class="marquee" data-level="0" data-list="texts">
		<li>{{content}}</li>
	</ul>
</div>

<script type="text/javascript">
	(function(){
		var main_div = $("div[data-subpart-id={{subpart-id}}]"),
			total_texts = main_div.find("ul li").length - 1,
			current_text = 0,
			last_text = 0,
			speed = 3000;
		main_div.find("ul li").hide();
		function textTransform(){
			current_text = (current_text > total_texts ? 0 : current_text);
			last_text = (current_text == 0 ? total_texts : current_text - 1);
			speed = main_div.find("ul li").eq(current_text).find("> a").eq(0).attr('speed');
			main_div.find("ul li").eq(last_text).stop(true, true).slideUp({duration: 500, queue: true});
			main_div.find("ul li").eq(current_text).stop(true, true).slideDown({duration: 500, queue: true});
			current_text++;
			if(total_texts > 0){
				if(window["{{subpart-id}}_time_out_id"])
					clearTimeout(window["{{subpart-id}}_time_out_id"]);
				window["{{subpart-id}}_time_out_id"] = setTimeout(textTransform,speed);
			}
			return;
		}
		textTransform();
	})();
</script>
